## org.apache.jasper.el
Class ELContextImpl

    java.lang.Object
      javax.el.ELContext
          org.apache.jasper.el.ELContextImpl

    public final class ELContextImpl

extends javax.el.ELContext

Implementation of ELContext

Author:
  Jacob Hookom

Constructor Summary
`ELContextImpl()`
`ELContextImpl(javax.el.ELResolver resolver)`

Method Summary
`javax.el.ELResolver` `getELResolver()`
`javax.el.FunctionMapper` `getFunctionMapper()`
`javax.el.VariableMapper` `getVariableMapper()`
`void` `setFunctionMapper(javax.el.FunctionMapper functionMapper)`
`void` `setVariableMapper(javax.el.VariableMapper variableMapper)`

Methods inherited from class javax.el.ELContext
`getContext, getLocale, isPropertyResolved, putContext, setLocale, setPropertyResolved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELContextImpl

    public ELContextImpl()

### ELContextImpl

    public ELContextImpl(javax.el.ELResolver resolver)

Method Detail

### getELResolver

    public javax.el.ELResolver getELResolver()

  Specified by:
    `getELResolver` in class `javax.el.ELContext`

### getFunctionMapper

    public javax.el.FunctionMapper getFunctionMapper()

  Specified by:
    `getFunctionMapper` in class `javax.el.ELContext`

### getVariableMapper

    public javax.el.VariableMapper getVariableMapper()

  Specified by:
    `getVariableMapper` in class `javax.el.ELContext`

### setFunctionMapper

    public void setFunctionMapper(javax.el.FunctionMapper functionMapper)

### setVariableMapper

    public void setVariableMapper(javax.el.VariableMapper variableMapper)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.